> For the complete documentation index, see [llms.txt](https://docs.aviator.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aviator.co/aviator-cli/manpages/av-branch-1.md).

# av-stack-branch(1) in CLI

View the av-stack-branch(1) command documentation in manual pages for Stacked PRs CLI. Use this command to create or rename a branch in the stack.

### NAME

av-branch - Create or rename a branch in the stack

### SYNOPSIS

`av branch [-m | --rename] [--force] [--parent <parent_branch>] <branch-name> [<parent_branch>]`

### DESCRIPTION

Create a new branch that is stacked on the current branch by default

If the --rename/-m flag is given, the current branch is renamed to the name instead of creating a new branch. Branches should only be renamed with this command (not with `git branch -m ...`) because av needs to update internal tracking metadata that defines the order of branches within a stack. If you renamed a branch with `git branch -m`, you can retroactively update the internal metadata with `av branch --rename <old-branch-name>:<new-branch-name>`.

### OPTIONS

`--parent <parent_branch>` : Instead of creating a new branch from current branch, create it from specified `<parent_branch>`

`-m, --rename` : Rename the current branch to the provided `<branch_name>` instead of creating a new one, only if a pull request does not exist.

`--force` : Force rename the branch, even if a pull request exists.

`--split` : Splits the last commit into a new branch, if no branch name is given create one based on commit message.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aviator.co/aviator-cli/manpages/av-branch-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
